Robotsystem from Robot Group Leipzig: OdeConfig Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# OdeConfig Class Reference

`#include <odeconfig.h>`

Inheritance diagram for OdeConfig:

[legend]
Collaboration diagram for OdeConfig:

[legend]
List of all members.

## Detailed Description

Definition at line 55 of file odeconfig.h.

## Public Member Functions
| OdeConfig ()
virtual | ~OdeConfig ()
virtual paramkey | getName () const
| return the name of the object (with version number) Hint: { return "$ID$"; }
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
paramval | getParam (const paramkey &key) const
bool | setParam (const paramkey &key, paramval val)
void | setOdeHandle (const OdeHandle &odeHandle)
## Public Attributes
double | simStepSize
double | realTimeFactor
int | drawInterval
int | controlInterval
double | noise
double | gravity
double | cameraSpeed
std::string | name
OdeHandle | odeHandle

## Constructor & Destructor Documentation

OdeConfig | ( |  | ) | `[inline]`

| Definition at line 57 of file odeconfig.h.

virtual ~OdeConfig | ( |  | ) | `[inline, virtual]`

| Definition at line 71 of file odeconfig.h.

## Member Function Documentation

virtual paramkey getName | ( |  | ) | const`[inline, virtual]`

| return the name of the object (with version number) Hint: { return "$ID$"; } Reimplemented from Configurable. Definition at line 73 of file odeconfig.h.

paramval getParam | ( | const paramkey & | key | ) | const`[inline]`

| Definition at line 90 of file odeconfig.h.

virtual paramlist getParamList | ( |  | ) | const`[inline, virtual]`

| The list of all parameters with there value as allocated lists. Returns: list of key-value pairs Reimplemented from Configurable. Definition at line 77 of file odeconfig.h.

void setOdeHandle | ( | const OdeHandle & | odeHandle | ) | `[inline]`

| Definition at line 121 of file odeconfig.h.

bool setParam | ( | const paramkey & | key,
|  | paramval | val
| ) | `[inline]`

| Definition at line 101 of file odeconfig.h.

## Member Data Documentation

double cameraSpeed

| Definition at line 141 of file odeconfig.h.

int controlInterval

| Definition at line 138 of file odeconfig.h.

int drawInterval

| Definition at line 137 of file odeconfig.h.

double gravity

| Definition at line 140 of file odeconfig.h.

std::string name

| Definition at line 142 of file odeconfig.h.

double noise

| Examples: main.cpp. Definition at line 139 of file odeconfig.h.

OdeHandle odeHandle

| Definition at line 143 of file odeconfig.h.

double realTimeFactor

| Definition at line 136 of file odeconfig.h.

double simStepSize

| Definition at line 135 of file odeconfig.h.